commit 0c7f51291f91eee61fcaf05080001a5e9b22fb53
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Nov 17 14:21:48 2016 +1000

    keyboard 1.9.0
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 157e0631b12d0aae4a5f38b81bee615a7eaf553f
Author: Keith Packard <keithp@keithp.com>
Date:   Mon May 30 01:27:49 2016 -0700

    Use xf86AddEnabledDevice with threaded input
    
    We didn't use SIGIO input for keyboard processing, but we can use
    threaded input.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 9ab899863a61b800d58e078e936c0d8d88bc0893
Author: Alexandr Shadchin <alexandr.shadchin@gmail.com>
Date:   Tue Nov 24 12:46:44 2015 +0500

    Remove support for X input ABI < 12
    
    Signed-off-by: Alexandr Shadchin <alexandr.shadchin@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 0317028c2bd0bfd06efd3c1f192ff9a494757187
Author: Alexandr Shadchin <alexandr.shadchin@gmail.com>
Date:   Tue Nov 24 12:46:43 2015 +0500

    Reorder load module stuff
    
    Signed-off-by: Alexandr Shadchin <alexandr.shadchin@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 8096183e9cb79944e322dcc0cd1f9e50c97ad2c8
Author: Alexandr Shadchin <alexandr.shadchin@gmail.com>
Date:   Tue Nov 24 12:46:42 2015 +0500

    Remove empty function xf86KbdUnplug
    
    Signed-off-by: Alexandr Shadchin <alexandr.shadchin@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit ccf63a61f39e1f107a67c33d6a7ad24ea4c76b7e
Author: Yasushi Oshima <oshima-ya@yagoto-urayama.jp>
Date:   Mon Jul 20 10:49:49 2015 +0200

    Add defines for Japanese 106-key USB keyboards.
    
    Via http://gnats.netbsd.org/48347
    
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>
    Acked-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 13d320076e5de2d6c3cbc170fc7e31c526ed8499
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Apr 7 09:24:38 2015 +1000

    keyboard 1.8.1
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 65739ef047233567e6053fc57464a42ffe69e989
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Mar 25 13:37:09 2015 +1000

    linux: bring our process group to the foreground (#89653)
    
    Required to make the driver receive keyboard events from the console.
    
    X.Org Bug  <http://bugs.freedesktop.org/show_bug.cgi?id=89653>
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Hans de Goede <hdegoede@redhat.com>
    Tested-by: Ingo Brückl <ib@wupperonline.de>

commit 85fe6b8f56e75338fde1d3a88b1749fd105eb93b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Mar 22 14:26:00 2015 -0700

    Mark xf86OSKbdPreInit as _X_EXPORT in header to match definitions
    
    Fixes Solaris Studio 12.4 compiler error:
    "sun_kbd.c", line 512: redeclaration must have the same or more restrictive linker scoping: xf86OSKbdPreInit
    cc: acomp failed for sun_kbd.c
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d0c9619675d26284f03ef428ff76cc09bdd4ace3
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Apr 29 16:23:32 2014 +1000

    Init LEDs to zero before querying the value
    
    This way if the ioctl fails we don't set any unintended LEDs, but really this
    patch is more to silence valgrind:
    
    ==7129== Conditional jump or move depends on uninitialised value(s)
    ==7129==    at 0x8DF99A1: GetKbdLeds (lnx_kbd.c:79)
    ==7129==    by 0x8DF8853: InitKBD (kbd.c:291)
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 5a327955c9287a317e5792e96601375fa5aabced
Author: Egbert Eich <eich@suse.de>
Date:   Fri Jan 3 11:48:11 2014 +0100

    Detangle inet keys and jp Henkan/ Muhenkan keys
    
    When support for inet keys was added to the keyboard driver
    back in the early 2000 none of the developers thought of
    Japanese 106 key keybards which have two extra keys generating
    the scan codes 0x79 and 0x7d.
    So for keys prefixed with the scan code 0x60 which were not
    remapped to anything else the line:
     *scanCode += 0x78;
    was added.
    Thus keys generating the scan codes 0xe0 0x01 and 0xe0 0x03
    will overlap with the Henkan and Muhenkan keys on Japanese
    keyboards.
    A workaround was introduced to xkeyboard-config which makes
    sure the keycodes 0x79 and 0x7d provide the Henkan and Muhenkan
    keysyms. As a consequence users might loose some multimedia keys
    on Japanese keyboards.
    A different solution would be to either remap keycodes 0x79
    and 0x7d or keycodes 0xe0 0x01 and 0xe0 0x03 into the range of
    unused (X-)keycodes above 0xfb.
    There are downsides with either solution: the legacy keyboard
    driver and the xkb files would have to be fixed in sync. Otherwise
    Japanese users would loose their Henkan and Muhenkan keys (in
    the first case) or some multimedia keys would get lost.
    The present patch does the latter which seems to be cleaner codewise.
    
    Signed-off-by: Egbert Eich <eich@suse.de>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit ddeb7940b956682451392717b135be4454b5756e
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Nov 1 09:45:21 2013 +1000

    keyboard 1.8.0
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 014101d157fb7eb54c79fecc424b53ca95f582bc
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Sun Oct 27 13:53:34 2013 +0100

    Whitespace fixes.
    
    Replace <SPACE><TAB> with <TAB>.
    Remove whitespace at end-of-line.
    
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>
    Reviewed-by: Matthieu Herrb <matthieu@herrb.eu>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit b8f4e7065566512a123c4957ab432cad3e7c688e
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Tue Jul 30 15:07:31 2013 +0200

    Check open() return value.
    
    Suggested by Walter Harms <wharms@bfs.de>.
    
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit dc9486a22f4b7fec2860928c555636bfc9f58741
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Mon Jul 29 23:23:49 2013 +0200

    Factor out common code.
    
    Suggested by Walter Harms <wharms@bfs.de>.
    
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>
    Reviewed-by: Matthieu Herrb <matthieu.herrb@laas.fr>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 2d6661d5c7aff662ad76ddb225664260f0a07a1e
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Mon Jul 29 23:23:48 2013 +0200

    Do not assume type in WS_*_MAP_SIZE macros.
    
    Suggested by Walter Harms <wharms@bfs.de>.
    
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>
    Reviewed-by: Matthieu Herrb <matthieu.herrb@laas.fr>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 6042ab2647197d9aa09578ed1befe03931737f1c
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Mon Jul 29 23:23:47 2013 +0200

    Add some NetBSD feature detection code.
    
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>
    Reviewed-by: Matthieu Herrb <matthieu.herrb@laas.fr>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 4f1a3cff9dfbfb33fcc6ff0a4ffd1db106301b97
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Mon Jul 29 23:23:46 2013 +0200

    Move WSCONS case inside switch statement.
    
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Matthieu Herrb <matthieu.herrb@laas.fr>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 390c4621dd4e2f6070508796385e2d23e5418b89
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Mon Jul 29 23:23:45 2013 +0200

    Improve auto-detection.
    
    If WSKBDIO_GTYPE succeeds and returns type=0, it is a mux with no
    keyboard attached. In this case, assume USB.
    
    >From Jared McNeill <jmcneill@NetBSD.org>
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Matthieu Herrb <matthieu.herrb@laas.fr>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 8ac42401a6db161e0983df17ac1787f164faf2f3
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Mon Jul 29 23:23:44 2013 +0200

    Fix wskbd handling when VT switching.
    
    When using /dev/wskbd* we need to close the device when VT switching
    out of X, and open it again when switching back.
    
    >From Michael Lorenz <macallan@NetBSD.org>
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>
    Reviewed-by: Matthieu Herrb <matthieu.herrb@laas.fr>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit d61dcfd5c297f405a4c200131e88e5dfc95bfa95
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Mon Jul 29 23:23:43 2013 +0200

    Make OpenKeyboard() warn instead of error out.
    
    This way we can still setup keyboard map manually by xmodmap(1)
    etc. on less well supported ports.
    
    >From Izumi Tsutsui <tsutsui@NetBSD.org>
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Matthieu Herrb <matthieu.herrb@laas.fr>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit e511907a5f7047a9c14b378084525137510511f5
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Mon Jul 29 23:23:42 2013 +0200

    Add WSKBD_TYPE_LK201.
    
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Matthieu Herrb <matthieu.herrb@laas.fr>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit e5ecacb20ad3685d6f422c5ed21632fb8b1f7fa0
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Mon Jul 29 23:23:41 2013 +0200

    Add default device for Protocol "wskbd".
    
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>
    Reviewed-by: Mark Kettenis <kettenis@openbsd.org>
    Reviewed-by: Matthieu Herrb <matthieu.herrb@laas.fr>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 8879a7682ef94471e907bb660d2b96cc95ed7b81
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Mon Jul 29 23:23:40 2013 +0200

    Recognize WSKBD_TYPE_MAPLE for dreamcast.
    
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Matthieu Herrb <matthieu.herrb@laas.fr>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit f105a796ae29eaaae7c25447734013537fad2a87
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Mon Jul 29 23:23:39 2013 +0200

    Fix a shadowing warning, and add const.
    
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Matthieu Herrb <matthieu.herrb@laas.fr>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit c783746c4f72249645e43c6d96d08cb6c74812d0
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Mon Jul 29 23:23:38 2013 +0200

    Set the version for the keyboard.
    
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>
    Reviewed-by: Matthieu Herrb <matthieu.herrb@laas.fr>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 83faa4123ae5d182f936faab77925d45da181f5f
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Mon Jul 29 23:23:37 2013 +0200

    Add a basic map for an LK201 keyboard.
    
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Matthieu Herrb <matthieu.herrb@laas.fr>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit e7ba236dbaf8df9364bf61ef5c3d67d377fbd2ec
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Mon Jul 29 23:23:36 2013 +0200

    Fix scan code 50 key on non-US-USB keyboards.
    
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Matthieu Herrb <matthieu.herrb@laas.fr>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 60d947b34830b850d53de1ee756502c471796fa9
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Mon Jul 29 23:23:35 2013 +0200

    Add a couple mappings for keys found on Sun keyboards.
    
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Matthieu Herrb <matthieu.herrb@laas.fr>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 0baa215b57d104bf22bc9a179bae3ff413bf055c
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Mon Jul 29 23:23:34 2013 +0200

    Use existing wscons USB keymap for WSKBD_TYPE_MAPLE on dreamcast.
    
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>
    Reviewed-by: Matthieu Herrb <matthieu.herrb@laas.fr>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 9c6acb2a2a4806d14ce84dcd1fb81268359dbe35
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Mon Jul 29 23:23:33 2013 +0200

    Add translation table for AT/PS2 pseudo XT scancodes.
    
    Add another translation table to make the modular kbd driver cope with NetBSD's
    AT/PS2 pseudo XT scancodes. Tested on shark and sgimips with an IBM Model M -
    this should be tested with more keyboards, there might still be errors in the
    table.
    
    >From Michael Lorenz <macallan@NetBSD.org>
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Matthieu Herrb <matthieu.herrb@laas.fr>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit e7a1f964782817acc4807beddc6e6ef1c8d94c96
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Mon Jul 29 23:23:32 2013 +0200

    More ADB fixes.
    
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Matthieu Herrb <matthieu.herrb@laas.fr>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 42b22d5dc3892309d276df131d35951a79311843
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Mon Jul 29 23:23:31 2013 +0200

    Fixes for the ADB map.
    
    - map the backspace key to KEY_BackSpace
    - swap LAlt and LMeta to match the keyboard (Alt=Alt/Option, Meta=Command)
    - add a keysym for . on the number pad
    ... so killing the Xserver with Ctrl-Alt-BackSpace works now and the default
    map matches an US keyboard without any xmodmap stunts.
    
    >From Michael Lorenz <macallan@NetBSD.org>
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Matthieu Herrb <matthieu.herrb@laas.fr>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit b8e12ae87352922eaea305f66ca232ea2a3b2d61
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Mon Jul 29 23:23:30 2013 +0200

    Added keysyms for extra keys on Sun Type 6 USB keyboard.
    
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Matthieu Herrb <matthieu.herrb@laas.fr>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit ad527f5c25984fa023f1be9fcb8e953aa7459e8a
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Mon Jul 29 23:23:29 2013 +0200

    Added keysym for Power keys.
    
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Matthieu Herrb <matthieu.herrb@laas.fr>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit a0eec5ddd0f3b1a23f5fcbaf85cd34680a1944fc
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Mon Jul 29 23:23:28 2013 +0200

    Map the Sun keyboard "help" key.
    
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Matthieu Herrb <matthieu.herrb@laas.fr>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 2d5bc7db251facdb2bb478eaad1dfd820cf28d13
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Mon Jul 29 23:23:27 2013 +0200

    Added some missing keysyms to the ADB keymap.
    
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Matthieu Herrb <matthieu.herrb@laas.fr>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit ec3ccb22d4e7348ac537100fcb1b7ddc07df57b8
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Mar 27 11:13:18 2013 +1000

    keyboard 1.7.0
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit ad2a1dd1aa19999eb777f330242d46254b29b9cb
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Aug 17 14:07:12 2012 +1000

    Use sigsafe logging for keyboard debug messages
    
    This changes the log format to simple hex display, the server's signal-safe
    printf implementation doesn't handle %2.2x.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 4a954bc6a8fbc4aa50dfcabec011274252713204
Author: Colin Walters <walters@verbum.org>
Date:   Wed Jan 4 17:37:06 2012 -0500

    autogen.sh: Implement GNOME Build API
    
    http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 9522f28a8f90680942e42902678c963c6981b0d1
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Jan 16 13:11:11 2013 -0500

    configure: Drop AM_MAINTAINER_MODE
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 6e51df6dd4255cbe311ec98e21a1cc94975271a1
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jul 23 22:04:45 2012 -0700

    xf86-input-keyboard 1.6.2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8d3edb688115d3100d7ac6fa9ed407494e435c43
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu May 24 21:36:17 2012 -0700

    Link with $(XORG_LIBS) to support no-undefined linking
    
    Will be empty on most platforms, set to the -z parent=Xorg flag on
    Solaris if building with the support for enforcing no undefined symbols.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit dd6f110c4568dc0922bae47530906b01396e2d41
Author: François Tigeot <ftigeot@wolfpond.org>
Date:   Sat May 5 13:12:10 2012 +0200

    Recognize DragonFly as a BSD system.
    
    This patch has actually been present for more than 4 years in the
    pkgsrc tree.
    
    Originally-from: Jörg Sonnenberger
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit da5ccb256acf6cbb817d68499e0d9f533f750628
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Apr 30 19:34:44 2012 -0700

    Solaris: ensure "Device" option is set, even if HAL didn't set it for us
    
    Handles fallback to default /dev/kbd when AutoAddDevices is False and
    Device option is not manually set in xorg.conf, so that xinput device
    node property can be correctly set to it.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e63cb5ecc5ab7239c9c285920244cc89e5853920
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Apr 27 17:51:22 2012 -0700

    Set XI_PROP_DEVICE_NODE property to string from "Device" option
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Alexandr Shadchin <alexandr.shadchin@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit ed35abe0da1a9134ee126df88608b33892ae4313
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Jan 18 18:13:08 2012 -0800

    Solaris: Use uchar_t, not int, for led masks in KIOCSLED/KIOCGLED ioctls
    
    Avoids checking/setting the wrong bits on big endian machines like SPARC.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a6a0dee4178600a5a9403f69c22bd4eb483fbd34
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Jan 4 10:45:09 2012 +1000

    keyboard 1.6.1
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 45f9f4552c4dab2efc29fd4d3d5c1a9dcd7c34b3
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Oct 4 09:16:17 2011 +1000

    man: link to xkeyboard-config(7) (#14494)
    
    X.Org Bug 14494 <http://bugs.freedesktop.org/show_bug.cgi?id=14494>
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 20beb15d24b5f8ab194b94f7e29f49e91ea38a8b
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Sep 26 09:56:17 2011 +1000

    Remove calls to xf86IsPc98()
    
    This call is being removed from the server and this isn't worth keeping
    ifdefs around for.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Matthieu Herrb <matthieu.herrb@laas.fr>
    Tested-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 38e4defe795776479594825859e101cd7cb5aa17
Author: Terry Lambert <tlambert@chromium.org>
Date:   Fri Jul 15 17:23:22 2011 -0700

    Return proper default for unknown values in pInfo->device_control.
    
    Signed-off-by: Terry Lambert <tlambert@chromium.org>
    Reviewed-by: Stephane Marchesin <marcheu@chromium.org>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit e8aa2ff0629111fbc32d71bbbc46b469c0c9a996
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sat Jun 11 10:26:46 2011 +0200

    man: update "rules" default value for xkeyboard-config.
    
    xkeyboard-config is using "base" not "xorg" as default rules.
    While there remove references to unmaintained PC98 settings.
    
    Signed-off-by: Matthieu Herrb <matthieu.herrb@laas.fr>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0b9cd5121e1025e95a7e32addb675ab874bc6cb1
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Mar 8 09:38:29 2011 +1000

    keyboard 1.6.0
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 24ee4f6738955d507f500a90fda8153f19dd5038
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Mar 7 12:05:48 2011 +1000

    man: explain what grp_led:scroll does in the example conf section
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed by: Magnus Kessler <Magnus.Kessler@gmx.net>

commit d5634b77b578721e2bb2734f5fd92090e9d4c330
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Mar 7 11:35:44 2011 +1000

    man: list xorg.conf.d snippets as possible configuration location
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed by: Magnus Kessler <Magnus.Kessler@gmx.net>

commit 89358c49e519c7a1e0f9a9544f9c03b5d9c2115d
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Mar 7 11:34:21 2011 +1000

    man: don't mention the core keyboard.
    
    Core devices are an obsolete concept these days.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed by: Magnus Kessler <Magnus.Kessler@gmx.net>

commit 6496bb21074faff2642e09389b5476225dc4fdb3
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Feb 21 09:59:14 2011 +1000

    keyboard 1.5.99.901
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 15f0a4b71b4580c7dd9a0abd7b8fb92756b6733a
Author: Alexandr Shadchin <alexandr.shadchin@gmail.com>
Date:   Thu Feb 17 15:40:29 2011 +0500

    Removed unnecessary code, since ABI_XINPUT_VERSION >= 2
    
    Signed-off-by: Alexandr Shadchin <Alexandr.Shadchin@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit de7a5c120f646e293cc216007a5df865b41833b8
Author: Alexandr Shadchin <alexandr.shadchin@gmail.com>
Date:   Thu Feb 17 15:40:28 2011 +0500

    Require server 1.4 or later
    
    Signed-off-by: Alexandr Shadchin <Alexandr.Shadchin@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit a02757d7c3d8018f44c63553578763fcef41bcca
Author: Alexandr Shadchin <alexandr.shadchin@gmail.com>
Date:   Wed Feb 16 13:21:03 2011 +0500

    Cleanup set the value of CustomKeycodes
    
    Also, do not print values of variables CustomKeycodes twice.
    
    Signed-off-by: Alexandr Shadchin <Alexandr.Shadchin@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit f45f3dbcf1f2a54d7d6a51d6e9884820cff4be12
Author: Alexandr Shadchin <alexandr.shadchin@gmail.com>
Date:   Fri Feb 11 15:33:00 2011 +0500

    Do not print values of Protocol twice
    
    Protocol printed when found in xf86SetStrOption().
    
    Signed-off-by: Alexandr Shadchin <Alexandr.Shadchin@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 6fca7f2371c113796d4cf27cca5635f3c6fb30af
Author: Alexandr Shadchin <alexandr.shadchin@gmail.com>
Date:   Fri Feb 11 15:32:59 2011 +0500

    Remove unused XQUEUE
    
    Signed-off-by: Alexandr Shadchin <Alexandr.Shadchin@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 8a540fa439bd7ea30c49d43ff3339ab599a7ba14
Author: Alexandr Shadchin <alexandr.shadchin@gmail.com>
Date:   Fri Feb 11 15:32:57 2011 +0500

    lnx: Fix detect CustomKeycodes for __powerpc__
    
    Signed-off-by: Alexandr Shadchin <Alexandr.Shadchin@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 849f5092efd770cf169ce9950e9dbb0bccbf9017
Author: Alexandr Shadchin <alexandr.shadchin@gmail.com>
Date:   Sat Jan 8 17:09:10 2011 +0500

    Removing unused bell_pitch and bell_duration
    
    Signed-off-by: Alexandr Shadchin <Alexandr.Shadchin@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit dd9ed7921ccffff9cacb6dc128b3f426f9312535
Author: Alexandr Shadchin <alexandr.shadchin@gmail.com>
Date:   Sat Jan 8 20:09:48 2011 +0500

    Removing unused PROT_XQUEUE and PROT_USB
    
    Signed-off-by: Alexandr Shadchin <Alexandr.Shadchin@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 78652023a9f7758635e5507255826d79fbb2b028
Author: Alexandr Shadchin <alexandr.shadchin@gmail.com>
Date:   Sat Jan 8 17:09:38 2011 +0500

    bsd: Replace deprecated xfree/xcalloc with free & calloc
    
    Signed-off-by: Alexandr Shadchin <Alexandr.Shadchin@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit f7a81ab4225e14a50e26a49a0a17a2cf773a4ab1
Author: Alexandr Shadchin <alexandr.shadchin@gmail.com>
Date:   Sat Jan 8 17:08:41 2011 +0500

    Remove random History comment and OS_KBD_VERSION_CURRENT
    
    In xf86-input-mouse similar cleanup already done, can also make for keyboard?
    
    Signed-off-by: Alexandr Shadchin <Alexandr.Shadchin@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit e2f6e5d976ff8bbe68dc41b51d983cc95c11db84
Author: Alexandr Shadchin <alexandr.shadchin@gmail.com>
Date:   Thu Jan 6 14:43:13 2011 +0500

    Do not print values of variables XkbRules etc. twice
    
    xf86SetStrOption prints in log value of the variables XkbRules etc.,
    there is no need to take this information twice.
    
    Signed-off-by: Alexandr Shadchin <Alexandr.Shadchin@gmail.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7d03efb3a3af77ca6831492a793d18b89cc64083
Author: Alexandr Shadchin <alexandr.shadchin@gmail.com>
Date:   Thu Jan 6 13:37:39 2011 +0500

    bsd: Fix print wscons type keyboard for Sun5
    
    Signed-off-by: Alexandr Shadchin <Alexandr.Shadchin@gmail.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 40ed9bb3dc87702510d5e54c42a60a2cdd73c135
Author: Alexandr Shadchin <alexandr.shadchin@gmail.com>
Date:   Thu Jan 6 13:21:35 2011 +0500

    Fix default options for PC98
    
    Signed-off-by: Alexandr Shadchin <Alexandr.Shadchin@gmail.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e929446a401e73bcc680c488ada2fc50eb225b23
Author: Alexandr Shadchin <alexandr.shadchin@gmail.com>
Date:   Thu Jan 6 12:59:19 2011 +0500

    Removing unused SetKbdRepeat
    
    Signed-off-by: Alexandr Shadchin <Alexandr.Shadchin@gmail.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit cc1a2ba8c9aa3a4bed25394c981b41c903502c84
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Dec 23 15:53:32 2010 -0800

    sun_kbd: Replace deprecated xfree/xcalloc with free & calloc
    
    Also greatly simplified option/pointer handling to avoid generating
    new warnings from passing const char * pointers to free()
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit bd099b5a87399d6ff1fd324172bfcc4bc07a362b
Author: Javier Acosta <javier.acosta@oracle.com>
Date:   Thu Dec 23 09:43:51 2010 -0800

    Make key codes for Sun Japanese keyboard match xkb-config mappings
    
    Solaris bug #7005752:
      http://bugs.opensolaris.org/bugdatabase/view_bug.do?bug_id=7005752
    
    Signed-off-by: Javier Acosta <javier.acosta@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit cb8b2fca90810a1a2d6e5f930e4eac0f929947c6
Author: Alexandr Shadchin <alexandr.shadchin@gmail.com>
Date:   Tue Nov 30 20:12:24 2010 +0500

    Removing unused OpenBSD PCCONS code
    
    In OpenBSD removed support PCCONS in 2002 year
    http://marc.info/?l=openbsd-cvs&m=102435816424294&w=2
    
    Signed-off-by: Alexandr Shadchin <Alexandr.Shadchin@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 26af626a2c4afba858a32bbb42077f8661d3de4f
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Jan 3 12:42:58 2011 -0500

    linux: warning fixes
    
    lnx_KbdMap.c: In function 'KbdGetMapping':
    lnx_KbdMap.c:44:17: warning: unused variable 'type'
    lnx_KbdMap.c:42:13: warning: unused variable 'pKbd'
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 492c14cdd1c4b950c475633a64086235d3550f5b
Author: Alexandr Shadchin <alexandr.shadchin@gmail.com>
Date:   Mon Jan 3 12:40:25 2011 -0500

    bsd: Include fix
    
    Reviewed-by: Adam Jackson <ajax@redhat.com>
    Signed-off-by: Alexandr Shadchin <alexandr.shadchin@gmail.com>

commit a72c47487b67ad7134045d551dbe222eb4662058
Author: Alexandr Shadchin <alexandr.shadchin@gmail.com>
Date:   Mon Jan 3 12:37:34 2011 -0500

    Remove unused code
    
    Reviewed-by: Adam Jackson <ajax@redhat.com>
    Signed-off-by: Alexandr Shadchin <alexandr.shadchin@gmail.com>

commit 6c368bc3aa6d8e1b33d128a22f98ecda0d037e3b
Author: Adam Jackson <ajax@redhat.com>
Date:   Fri Dec 17 16:35:49 2010 -0500

    Remove paranoia about event processing during suspend
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 155b3e80fc95ea8397bc66fad18f5fa68d54a88e
Author: Alexandr Shadchin <alexandr.shadchin@gmail.com>
Date:   Mon Nov 29 21:02:39 2010 +0500

    Removing unused variables vtSwitchSupported and VTSwitchEnabled
    
    Signed-off-by: Alexandr Shadchin <Alexandr.Shadchin@gmail.com>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit f11f2a7b5643cde57440102ad822995c70b142fb
Author: Alexandr Shadchin <alexandr.shadchin@gmail.com>
Date:   Sat Nov 27 02:39:13 2010 +0500

    Removing unused variable kbdType.
    
    Signed-off-by: Alexandr Shadchin <Alexandr.Shadchin@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 6e97362d7eee5b81bc8681559fbd8a8f6137915c
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 25 15:25:03 2010 +1000

    Adjust to input ABI 12.
    
    New PreInit prototype and a few other things.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit 90f69d7b859caff9f51b6fe20580582a91ed6d0d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 30 09:15:11 2010 -0700

    xf86-input-keyboard 1.5.0
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 53f3eb734fe4dfccbce602b3dd19ee06e0850c44
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 30 09:13:47 2010 -0700

    Sun's copyrights now belong to Oracle
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 251c5d6dcc09c46be67274853e79026cc3d10fd4
Author: Trevor Woerner <twoerner@gmail.com>
Date:   Mon Oct 18 11:38:48 2010 -0400

    Code cleanup, structure initialization.
    
    The InputDriverRec data structure in xserver/hw/xfree86/common/xf86Xinput.h
    no longer contains an integer refCount member.
    
    Signed-off-by: Trevor Woerner <twoerner@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 25d1e340eec73b010c4a5b1160aa0fa762a41cd0
Author: Trevor Woerner <twoerner@gmail.com>
Date:   Mon Oct 18 11:38:28 2010 -0400

    Deprecated code cleanup.
    
    Replace calls to deprecated functions with calls to standard dynamic
    memory functions in driver code.
    
    Signed-off-by: Trevor Woerner <twoerner@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit ed3458c0b534a15777b7305cd594e1f9181c80b8
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Jun 18 14:37:44 2010 +1000

    Don't set AutoRepeat if we're not actually using it.
    
    Autorepeat was removed from the driver with version 1.4.0. So there is not
    much point in setting this option anymore.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3a8bae0fd2275a6dc62a88072b2a3a651840326c
Author: Jesse Adkins <jesserayadkins@gmail.com>
Date:   Tue Sep 28 13:29:50 2010 -0700

    Purge cvs tags.
    
    Signed-off-by: Jesse Adkins <jesserayadkins@gmail.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 66b222493b3af6b7fc200d8a296317e9f3e1820a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Aug 14 01:11:53 2010 -0700

    Revert "Close device fd when called with DEVICE_CLOSE"
    
    This reverts commit f8e219828db920c4cd7a2645a6194de029dc9bb5.
    (Sorry, failed to finish rebase operation to remove before pushing.
     As noted on xorg-devel, this patch was originally made for 1.3.2
     and needs to be reworked to reflect later upstream changes.)

commit 2aaef2754215d1a9f1073ad32f2ba498ce12188a
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Aug 13 11:25:34 2010 +1000

    Remove unused keyboardOptions.
    
    These have been unused since May 2009 when the struct that used them was
    removed from the driver. See fe8d1f70fc7edce4f030766159aebae8f8a89ffc.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 425c1280439fe37497a33c47b5a8432e59cbfb76
Author: Osamu Sayama <osamu.sayama@oracle.com>
Date:   Wed Aug 11 19:00:23 2010 -0700

    sun_kbd: Add mappings for Hangul and Hanja keys on Korean keyboard
    
    Fixes Sun bug 6897086:
      Hangul and Hanja keys on Korean PC 105 keyboard are not recognized
      http://bugs.opensolaris.org/bugdatabase/view_bug.do?bug_id=6897086
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f8e219828db920c4cd7a2645a6194de029dc9bb5
Author: Aaron Zang <aaron.zang@sun.com>
Date:   Wed Aug 11 18:55:59 2010 -0700

    Close device fd when called with DEVICE_CLOSE
    
    Fixes Solaris bug 6886424:
     VT - keyboard and mouse do not work when switching to vt7
     http://bugs.opensolaris.org/bugdatabase/view_bug.do?bug_id=6886424
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit bfb1b7a319eab8e13542cfc00b8407121eabb4d5
Author: Fernando Carrijo <fcarrijo@yahoo.com.br>
Date:   Thu Jul 1 07:12:02 2010 -0300
